<script lang="ts">
  import Section from '$lib/components/sections/Section.svelte';
  import ContactCard from '$lib/components/cards/ContactCard.svelte';
  import BaseLayout from '$lib/components/layouts/BaseLayout.svelte';
  import type { PageData } from './$types';
  import { axiosInstance } from '$lib/config';
  import Pagination from '$lib/components/Pagination.svelte';

  export let data: PageData;

  let contacts = data?.contact.data,
    page = data.page || 1,
    pages = data?.contact.pages;

  $: {
    contacts = data?.contact.data;
    page = data.page || 1;
    pages = data?.contact.pages;
  }

  async function handleSearch(event: any) {
    const res = await axiosInstance.get('/contact', { params: { ...(event.detail && { name: event.detail }) } });

    if (event.detail) {
      pages = 0;
    } else {
      pages = data?.contact.pages;
    }

    contacts = res.data.data;
  }
</script>

<svelte:head>
    <title>Контакты</title>
</svelte:head>

<BaseLayout>
    <Section title="Контакты" class="mt-16" {handleSearch}>
        <section class="grid 2xl:grid-cols-3 lg:grid-cols-2 gap-8">
            {#each contacts as { name, phone, email, SNO: ssa }}
                <ContactCard {name} {phone} {email} {ssa}/>
            {/each}
        </section>
        <Pagination {page} {pages}/>
    </Section>
</BaseLayout>